Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1799294 - dwgrep: FTBFS in Fedora rawhide/f32
Summary: dwgrep: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dwgrep
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Machata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 16:29 UTC by Fedora Release Engineering
Modified: 2020-02-18 22:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-18 22:57:26 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 16:29 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 16:29 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 16:29 UTC, Fedora Release Engineering
no flags Details
Remove libebl checks from cmake (deleted)
2020-02-06 18:46 UTC, Mark Wielaard
no flags Details | Diff

Description Fedora Release Engineering 2020-02-06 16:29:13 UTC
dwgrep failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41316755


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix dwgrep at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
dwgrep will be orphaned. Before branching of Fedora 33,
dwgrep will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 16:29:16 UTC
Created attachment 1658775 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 16:29:18 UTC
Created attachment 1658776 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 16:29:19 UTC
Created attachment 1658777 [details]
state.log

Comment 4 Mark Wielaard 2020-02-06 18:46:31 UTC
Created attachment 1659838 [details]
Remove libebl checks from cmake

For some reason the cmake file checks whether libebl.a is available, but the build never seems to use it. libebl.a was an internal (static) library which doesn't contain any public usable code. It was removed in elfutils 0.178.

This patch simply removes the checks, which makes things build again.

Comment 5 Ben Cotton 2020-02-11 17:00:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 6 Fedora Release Engineering 2020-02-16 04:23:23 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 7 Petr Machata 2020-02-17 00:34:38 UTC
(In reply to Mark Wielaard from comment #4)
> Created attachment 1659838 [details]
> Remove libebl checks from cmake
> 
> For some reason the cmake file checks whether libebl.a is available, but the
> build never seems to use it. libebl.a was an internal (static) library which
> doesn't contain any public usable code. It was removed in elfutils 0.178.
> 
> This patch simply removes the checks, which makes things build again.

Gah, I didn't notice your patch and reinvented the same thing :-|

I think it's the correct solution as well. I don't remember where the cmake file comes from and whether I added the check for libebl or if it was already there, but dwgrep does not use libebl at all. There is no reason to probe for the library.

There are a handful of other small fixes, cmake has some new policy, bison deprecated some directives and GCC warns about return std::move. I have all these patched upstream, hopefully I'll be able to push this to Fedora during the next week.


Note You need to log in before you can comment on or make changes to this bug.